org.keycloak.representations.idm.authorization

## Class PermissionTicketToken

- java.lang.Object
- - org.keycloak.representations.JsonWebToken
  - - org.keycloak.representations.idm.authorization.PermissionTicketToken

- All Implemented Interfaces:
    Serializable, Token

      public class PermissionTicketToken
      extends JsonWebToken

  Author:
    Pedro Igor
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.representations.JsonWebToken

      `audience, exp, iat, id, issuedFor, issuer, nbf, otherClaims, subject, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionTicketToken()`
    `PermissionTicketToken(List<Permission> resources)`
    `PermissionTicketToken(List<Permission> permissions, String audience, AccessToken accessToken)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,List<String>>` | `getClaims()`
    `List<Permission>` | `getPermissions()`
    `void` | `setClaims(Map<String,List<String>> claims)`

    - ### Methods inherited from class org.keycloak.representations.JsonWebToken

      `addAudience, audience, exp, expiration, getAudience, getCategory, getExp, getExpiration, getIat, getId, getIssuedAt, getIssuedFor, getIssuer, getNbf, getNotBefore, getOtherClaims, getSubject, getType, hasAnyAudience, hasAudience, iat, id, isActive, isActive, isExpired, isIssuedBeforeSessionStart, isNotBefore, issuedAt, issuedFor, issuedNow, issuer, nbf, notBefore, setOtherClaims, setSubject, subject, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionTicketToken

          public PermissionTicketToken()

    - #### PermissionTicketToken

          public PermissionTicketToken(List<Permission> permissions,
                                       String audience,
                                       AccessToken accessToken)

    - #### PermissionTicketToken

          public PermissionTicketToken(List<Permission> resources)

  - ### Method Detail

    - #### getPermissions

          public List<Permission> getPermissions()

    - #### getClaims

          public Map<String,List<String>> getClaims()

    - #### setClaims

          public void setClaims(Map<String,List<String>> claims)

Copyright © 2021 JBoss by Red Hat. All rights reserved.